<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\IconColumn;

class IsReadIconColumn extends IconColumn
{
    public static function create(): static
    {
        return parent::make('is_read')
            ->translateLabel()
            ->boolean()
            ->toggleable();
    }
}
